TSSERVE(1)

NAME
tsserve - act as a server which plays the given transport or program stream

DESCRIPTION

  Usage:

    tsserve <infile> tsserve <infile> -port <n> tsserve [switches] <infile> [switches]

    TS tools version 1.11, tsserve built Nov 11 2008 17:15:49

    Act as a server which plays the given file (containing Transport Stream or Program Stream data). The output is always Transport Stream.

  Input:

<infile>
    An H.222.0 TS or PS file to serve to the client. This will be treated as file 0 (see below).

-0 <file0> .. -9 <file9>
    Specify files 0 through 9, selectable with command characters 0 through 9. The lowest numbered file will be the default for display.

  General Switches:

-details
    Print out more detailed help information, including some less common options.

-quiet, -q
    Suppress informational and warning messages.

-verbose, -v
    Output additional diagnostic messages

-port <n>
    Listen for a client on port <n> (default 88)

-noaudio
    Ignore any audio data

-pad <n>
    Pad the start of the output with <n> filler TS packets, to allow the client to synchronize with the datastream. Defaults to 8.

-noseqhdr
    Do not output sequence headers for fast forward/reverse data. Only relevant to H.262 data.

Program Stream Switches:

-prepeat <n>
    Output the program data (PAT/PMT) after every <n> PS packs. Defaults to 100.

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.

    Both of these affect the stream type of the output data.

    If the audio stream being output is Dolby (AC-3), then the stream type used to output it differs for DVB (European) and ATSC (USA) data. It may be specified as follows:

-dolby dvb
    Use stream type 0x06 (the default)

-dolby atsc
    Use stream type 0x81

    For information on using the program in other modes, see -details.

    tsserve <infile> tsserve <infile> -port <n> tsserve [switches] <infile> [switches]

    TS tools version 1.11, tsserve built Nov 11 2008 17:15:49

    Act as a server which plays the given file (containing Transport Stream or Program Stream data). The output is always Transport Stream.

  Input:

<infile>
    An H.222.0 TS or PS file to serve to the client. This will be treated as file 0 (see below).

-0 <file0> .. -9 <file9>
    Specify files 0 through 9, selectable with command characters 0 through 9. The lowest numbered file will be the default for display.

  General Switches:

-details
    Print out more detailed help information, including some less common options.

-quiet, -q
    Suppress informational and warning messages.

-verbose, -v
    Output additional diagnostic messages

-port <n>
    Listen for a client on port <n> (default 88)

-noaudio
    Ignore any audio data

-pad <n>
    Pad the start of the output with <n> filler TS packets, to allow the client to synchronize with the datastream. Defaults to 8.

-noseqhdr
    Do not output sequence headers for fast forward/reverse data. Only relevant to H.262 data.

Program Stream Switches:

-prepeat <n>
    Output the program data (PAT/PMT) after every <n> PS packs. Defaults to 100.

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.

    Both of these affect the stream type of the output data.

    If the audio stream being output is Dolby (AC-3), then the stream type used to output it differs for DVB (European) and ATSC (USA) data. It may be specified as follows:

-dolby dvb
    Use stream type 0x06 (the default)

-dolby atsc
    Use stream type 0x81

    For information on using the program in other modes, see -details.

SEE ALSO
The full documentation for tsserve is maintained as a Texinfo manual. Please check http://tstools.berlios.de for more information.